<div class="modal-header">
  <h4 class="modal-title" id="modal-basic-title">Ajout au carnet d'adresse</h4>
  <button type="button" class="close" aria-label="Close" (click)="close()">
    <span aria-hidden="true">&times;</span>
  </button>
</div>
<div class="modal-body">
  <div id="myDIV">
    <button mat-raised-button class="btnbtn active" (click)="Show(true,$event)">Nouveau contact</button>
    <button mat-raised-button class="btnbtn" (click)="Show(false,$event)">Contact existant</button>
  </div>

  <div *ngIf="show">
    <mat-expansion-panel [expanded]="true" class="panelC">
      <mat-expansion-panel-header>
        <mat-panel-title>
          Type d'addresse
        </mat-panel-title>
        <mat-panel-description>

        </mat-panel-description>
      </mat-expansion-panel-header>
      <mat-form-field class="selectC">
        <mat-label>Type</mat-label>
        <mat-select >
          <mat-option value="option1" (click)="Isselected(1)">Client particulier</mat-option>
          <mat-option value="option2" (click)="Isselected(2)">Client pro</mat-option>
          <mat-option value="option3" (click)="Isselected(5)">Sous-traitant</mat-option>
        </mat-select>
      </mat-form-field>
    </mat-expansion-panel>

    <div *ngIf="valSelected!=0">

      <mat-expansion-panel [expanded]="true" class="panelC">
        <mat-expansion-panel-header>
          <mat-panel-title>
            Information generales
          </mat-panel-title>
          <mat-panel-description>
        
          </mat-panel-description>
        </mat-expansion-panel-header>

        <div class="grid-container">
          <div class="grid-item">
            <mat-form-field>
              <input matInput placeholder="Nom" #nom>
            </mat-form-field>
          </div>

          <div class="grid-item">
            <mat-form-field>
              <input matInput placeholder="Nom usuel" #nomu>
            </mat-form-field>
          </div>

          <div class="grid-item">
            <mat-form-field>
              <input matInput placeholder="Adresse 1" value="{{adress}}" #adr1>
            </mat-form-field>
          </div>

          <div class="grid-item">
            <mat-form-field>
              <input matInput placeholder="Adresse 2" #adr2>
            </mat-form-field>
          </div>

          <div class="grid-item">
            <mat-form-field>
              <input matInput placeholder="Ville" value='{{villle}}' #ville>
            </mat-form-field>
          </div>

          <div class="grid-item">
            <mat-form-field>
              <input matInput placeholder="Code postale" value='{{codep}}'#cp>
            </mat-form-field>
          </div>

          <div class="grid-item">
            <mat-form-field>
              <input matInput placeholder="Pays" value="{{pay}}" #pays>
            </mat-form-field>
          </div>

          <div class="grid-item" *ngIf="valSelected==1||valSelected==2">
            <mat-form-field>
              <input matInput placeholder="Telephone" #tel>
            </mat-form-field>
          </div>
          <div class="grid-item" *ngIf="valSelected==2">
            <mat-form-field>
              <input matInput placeholder="N² de TVA intracom" #tva>
            </mat-form-field>
          </div>


        </div>
      </mat-expansion-panel>

      <mat-expansion-panel class="panelC">
        <mat-expansion-panel-header>
          <mat-panel-title>
            Contact
          </mat-panel-title>
          <mat-panel-description>
      
          </mat-panel-description>
        </mat-expansion-panel-header>
        <div class="grid-container">
          <div class="grid-item">
            <mat-form-field>
              <input matInput placeholder="Nom">
            </mat-form-field>
          </div>

          <div class="grid-item">
            <mat-form-field>
              <input matInput placeholder="Prenom">
            </mat-form-field>
          </div>

          <div class="grid-item">

            <mat-form-field>
              <mat-label>Services</mat-label>
              <mat-select>
                <mat-option>None</mat-option>

              </mat-select>
            </mat-form-field>

          </div>

          <div class="grid-item">
            <mat-form-field>
              <mat-label>Fonctions</mat-label>
              <mat-select>
                <mat-option>None</mat-option>
              </mat-select>
            </mat-form-field>
          </div>

          <div class="grid-item">
            <mat-form-field>
              <input matInput placeholder="Email">
            </mat-form-field>
          </div>

          <div class="grid-item">
            <mat-form-field>
              <input matInput placeholder="Phone">
            </mat-form-field>
          </div>

          <div class="grid-item">
            <mat-form-field>
              <input matInput placeholder="Pays">
            </mat-form-field>
          </div>


        </div>
      </mat-expansion-panel>


    </div>


  </div>


  <div *ngIf="!show">
    <mat-expansion-panel [expanded]="true" class="panelC">
      <mat-expansion-panel-header>
        <mat-panel-title>
          Company
        </mat-panel-title>
        <mat-panel-description>
  
        </mat-panel-description>
      </mat-expansion-panel-header>
      <div class="input-group mb-3">
        <div class="input-group-prepend">
          <span class="input-group-text" id="basic-addon1">></span>
        </div>
        <input type="text" class="form-control" placeholder="Recherche" aria-label="Username"
          aria-describedby="basic-addon1">
      </div>
    </mat-expansion-panel>
  </div>
</div>
<div class="modal-footer">
  <button type="button" class="btn btn-outline-dark" (click)="close()">Annuler</button>
  <button type="button" class="btn btn-outline-dark" (click)="save()">Valider</button>
</div>
